Update account balance
curl --request PUT \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/account-balance' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM217",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/account-balance"
payload = {
"communicationNumber": "COM217",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
communicationNumber: 'COM217',
requester: 'financial_institution',
balanceType: 'STATEMENT_BALANCE',
accountExtId: 'ORG20231117550',
businessUnit: 'sandbox',
balanceAt: '2023-09-05T08:07:34.605Z',
value: 11111111111,
equivalentValue: 33333
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/account-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "extId is mandatory"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/account-balance"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Account
Update account balance
This section provides detailed information on the endpoints that can be used to create and manage account balances.
PUT
/
amlyze-ws-rest
/
account-balance
Update account balance
curl --request PUT \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/account-balance' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM217",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/account-balance"
payload = {
"communicationNumber": "COM217",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
communicationNumber: 'COM217',
requester: 'financial_institution',
balanceType: 'STATEMENT_BALANCE',
accountExtId: 'ORG20231117550',
businessUnit: 'sandbox',
balanceAt: '2023-09-05T08:07:34.605Z',
value: 11111111111,
equivalentValue: 33333
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/account-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "extId is mandatory"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/account-balance"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Authorizations
Body
application/json
Account balance to register